"""TypeID Exceptions."""


class TypeIDException(ValueError):
    """TypeID Exception base class."""


class TypeValidationException(TypeIDException):
    """Invalid type for TypeID."""


class DomainValidationException(TypeIDException):
    """Invalid domain for TypeID."""


class SuffixValidationException(TypeIDException):
    """Invalid suffix for TypeID."""


class InvalidTypeIDStringException(TypeIDException):
    """String is not a valid TypeID."""
